---
title: PaymentRequestUpdateEvent.updateWith()
slug: Web/API/PaymentRequestUpdateEvent/updateWith
tags:
  - API
  - Change
  - Experimental
  - Method
  - Payment Change
  - Payment Details
  - Payment Request API
  - PaymentRequestUpdateEvent
  - Reference
  - Secure context
  - Web Payments
  - payment
  - updateWith
---
<p>{{APIRef("Payment Request API")}}{{securecontext_header}}</p>

<p><span class="seoSummary">The <strong><code>updateWith()</code></strong> method of the {{domxref("PaymentRequestUpdateEvent")}} interface updates the details of an existing {{domxref("PaymentRequest")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>paymentRequestUpdateEvent</em>.updateWith(<em>details</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>details</code></dt>
 <dd>A {{domxref("PaymentDetailsUpdate")}} object specifying the changes applied to the payment request:
 <dl>
  <dd>{{page("/en-US/docs/Web/API/PaymentDetailsUpdate", "propertylist")}}</dd>
 </dl>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p><code>undefined</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Payment','#updatewith-method','PaymentRequestUpdateEvent.updateWith()')}}</td>
   <td>{{Spec2('Payment')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.PaymentRequestUpdateEvent.updateWith")}}</p>
</div>
